<?
$stmp.="<p style=\"font-weight:bold; text-align:left; color:red\"/>Истории наказания</p>";
$file = @file('data/nak.dat');
if (!$file) {$stmp.='Новостей нет';} else {
$total=count($file);
$file = array_reverse($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){
$u = explode('|',$file[$i]);
$stmp.="$u[1]/<strong>$u[2]</strong><br/>$u[3]/$u[0]<br/>";
}
if ($start != 0) {$stmp.="<a href=\"$PHP_SELF?site=block&start=".($start - 5)."\">Назад</a>";}
if ($total > $start + 5) {$stmp.=" <a href=\"$PHP_SELF?site=block&start=".($start + 5)."\">Далее</a>";}
}
$stmp.="<br><a href=\"$PHP_SELF?site=connect\">Назад</a>";
msg($stmp,Наказания,0,'none');
?>